FishOutFishOut

Request report generation

POST/orgs/{organizationId}/projects/{projectId}/reports/{reportId}/generate

Request report generation within the selected project. Uses the app's permissions and entitlements.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length
projectId*string
Length1 <= length
reportId*string
Length1 <= length <= 200

Header Parameters

Idempotency-Key*string

Reuse for retries of the same action for 24 hours. A changed body returns 409.

Length8 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/orgs/string/projects/string/reports/string/generate" \  -H "Idempotency-Key: stringst"
{  "data": {    "id": "string",    "status": "string",    "kind": "string",    "organizationId": "string",    "projectId": "string",    "statusUrl": "http://example.com",    "statusTool": "get_operation"  },  "meta": {    "requestId": "string",    "replayed": true  }}